library ieee;

use ieee.std_logic_1164.all;

entity tbadder is
end tbadder;

architecture tbadd of tbadder is
component adder is
  generic (d : integer range 0 to 31 := 31);
  
  port (A, B : in std_logic_vector( d-1 downto 0);
        R: out std_logic_vector( d-1 downto 0);
        co: out std_logic);
end component;
signal a,b,r: std_logic_vector(3 downto 0) ;
signal co: std_logic;

begin
  a1: adder generic map (4)
            port map (a,b,r,co);
  
  a<= "0001" after 0 ns, "0010" after 20 ns, "0110" after 40 ns;
  b<= "0010" after 0 ns, "0100" after 10 ns, "0111" after 60 ns;
  
end tbadd;
